#include "Salamander.h"
#include "Screen.h"

namespace Salamander
{

Screen::~Screen()
{

}

Screen::Screen()
{

}

void Screen::load()
{

}

void Screen::setActive(bool active)
{
    active_ = active;
}

bool Screen::getActive()
{
    return active_;
}

void Screen::setVisible(bool visible)
{
    visible_ = visible;
}

bool Screen::getVisible()
{
    return visible_;
}

void Screen::setModal(bool modal)
{
    modal_ = modal;
}

bool Screen::getModal()
{
    return modal_;
}

void Screen::onActive(bool active)
{
}

void Screen::update(double elapsedTime)
{
}

}
